using System.Xml.Serialization;

namespace NewRock.Sdk.Transfer.Connect.Request
{
    [XmlRoot("Transfer")]
    public class VoiceNewsFlashRequest:INewRockRequest
    {
        [XmlAttribute("attribute")]
        public string Attribute { get; set; }

        [XmlElement("ext")]
        public VoiceNewsFlashExt Ext { get; set; }

        [XmlElement("visitor")]
        public VoiceNewsFlashVisitor Visitor { get; set; }

        [XmlElement("outer")]
        public VoiceNewsFlashOuter Outer { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }
    }

    public class VoiceNewsFlashExt
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class VoiceNewsFlashVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }

    public class VoiceNewsFlashOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }
    }
}
